# eric4.UI.LogView

Module implementing the log viewer widget and the log widget.

### Classes

LogViewer | Class to provide a widget for displaying logging information.
LogWidget | Class providing a specialized text edit for displaying logging information.

### Functions

None

## LogViewer

Class to provide a widget for displaying logging information.

### Derived from

E4TabWidget

### Methods

LogViewer | Constructor
__handleClear | Private slot to handle the clear tab menu entry.
__handleCopy | Private slot to handle the copy tab menu entry.
__handleSelectAll | Private slot to handle the select all tab menu entry.
__handleShowContextMenu | Private slot to show the tab context menu.
appendToStderr | Public slot to appand text to the "stderr" tab.
appendToStdout | Public slot to appand text to the "stdout" tab.
showLogTab | Public method to show a particular Log-Viewer tab.

#### LogViewer (Constructor)

LogViewer(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

#### LogViewer.__handleClear

__handleClear()

Private slot to handle the clear tab menu entry.

#### LogViewer.__handleCopy

__handleCopy()

Private slot to handle the copy tab menu entry.

#### LogViewer.__handleSelectAll

__handleSelectAll()

Private slot to handle the select all tab menu entry.

#### LogViewer.__handleShowContextMenu

__handleShowContextMenu(coord, index)

Private slot to show the tab context menu.

coord
  the position of the mouse pointer (QPoint)
index
  index of the tab the menu is requested for (integer)

#### LogViewer.appendToStderr

appendToStderr(txt)

Public slot to appand text to the "stderr" tab.

txt
  text to be appended (string or QString)

#### LogViewer.appendToStdout

appendToStdout(txt)

Public slot to appand text to the "stdout" tab.

txt
  text to be appended (string or QString)

#### LogViewer.showLogTab

showLogTab(tabname)

Public method to show a particular Log-Viewer tab.

tabname
  string naming the tab to be shown ("stdout", "stderr")

Up

## LogWidget

Class providing a specialized text edit for displaying logging information.

### Derived from

QTextEdit

### Methods

LogWidget | Constructor
__handleShowContextMenu | Private slot to show the context menu.
appendText | Public method to append text to the end.

#### LogWidget (Constructor)

LogWidget(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

#### LogWidget.__handleShowContextMenu

__handleShowContextMenu(coord)

Private slot to show the context menu.

coord
  the position of the mouse pointer (QPoint)

#### LogWidget.appendText

appendText(txt)

Public method to append text to the end.

txt
  text to insert (QString)

Up